--- parsec-2.1/config/gcc.bldconf.old	2009-08-11 17:40:40.000000000 -0500
+++ parsec-2.1/config/gcc.bldconf	2011-05-02 14:11:13.774754928 -0500
@@ -39,9 +39,9 @@
   # Linux + default case
 
   # CC_HOME is installation root of the C compiler
-  export CC_HOME="/n/fs/parsec/local/gcc-4.4.0-static"
+  export CC_HOME="/usr"
   # BINUTIL_HOME is installation root of the GNU binutils
-  export BINUTIL_HOME="/usr/local"
+  export BINUTIL_HOME="/usr"
   # GNUTOOL_HOME is installation root of the GNU tools
   export GNUTOOL_HOME="/usr"
   # BINARY_PREFIX is the string which is used as prefix for the GNU binaries
@@ -50,11 +50,11 @@
 esac
 
 # Compilers and preprocessors
-export CC="${CC_HOME}/bin/gcc"
-export CXX="${CC_HOME}/bin/g++"
-export CPP="${CC_HOME}/bin/cpp"
-export CXXCPP=""
-
+# export CC="${CC_HOME}/bin/gcc"
+# export CXX="${CC_HOME}/bin/g++"
+# export CPP="${CC_HOME}/bin/cpp"
+# export CXXCPP=""
+ 
 # GNU Binutils
 export LD="${BINUTIL_HOME}/bin/${BINARY_PREFIX}ld"
 export AS="${BINUTIL_HOME}/bin/${BINARY_PREFIX}as"
@@ -64,17 +64,17 @@
 
 # GNU Tools
 export M4="${GNUTOOL_HOME}/bin/${BINARY_PREFIX}m4"
-export MAKE="${GNUTOOL_HOME}/bin/${BINARY_PREFIX}make"
+export MAKE="${GNUTOOL_HOME}/bin/${BINARY_PREFIX}make -j $procs"
 
 # Flags for increased portability of binaries
 PORTABILITY_FLAGS="-static-libgcc -Wl,--hash-style=both,--as-needed"
 
 # Arguments to use
-export CFLAGS="-O3 -funroll-loops -fprefetch-loop-arrays ${PORTABILITY_FLAGS}"
-export CXXFLAGS="-O3 -funroll-loops -fprefetch-loop-arrays -fpermissive -fno-exceptions ${PORTABILITY_FLAGS}"
+export CFLAGS="${CFLAGS} ${PORTABILITY_FLAGS}"
+export CXXFLAGS="${CXXFLAGS} -fpermissive -fno-exceptions ${PORTABILITY_FLAGS}"
 export CPPFLAGS=""
 export CXXCPPFLAGS=""
-export LDFLAGS="-L${CC_HOME}/lib64 -L${CC_HOME}/lib"
+#export LDFLAGS="-L${CC_HOME}/lib64 -L${CC_HOME}/lib"
 export LIBS=""
 export EXTRA_LIBS=""
 
--- parsec-2.1/env.sh~	2009-06-28 13:46:24.000000000 -0500
+++ parsec-2.1/env.sh	2011-05-17 12:49:28.799143245 -0500
@@ -30,6 +30,8 @@
     if [ ! -f "${xxparsecdirxx}/${xxuniquefilexx}" ]; then
       echo "Error: Variable PARSECDIR points to '${PARSECDIR}', but this does not seem to be the PARSEC directory. Either unset PARSECDIR to make me try to autodetect the path or set it to the correct value."
       exit 1
+    else
+      xxPARSECDIRxx=${xxparsecdirxx}
     fi
   else
     # Try to autodetect path by looking at path used to invoke this script
--- parsec-2.1/bin/parsecmgmt~	2009-07-03 13:04:00.000000000 -0500
+++ parsec-2.1/bin/parsecmgmt	2011-05-17 13:08:15.571619727 -0500
@@ -933,9 +933,11 @@
   eval cmd="\"${submit} ${bmexec} ${bmexec_args}\""
   echo "${oprefix} Running '${cmd}':" | ${TEE} ${log}
   echo "${oprefix} [---------- Beginning of output ----------]" | ${TEE} ${log}
+  before=`date +%s.%N`
   (eval ${cmd} 2>&1) 2>&1 | ${TEE} ${bmrundir}/benchmark.out | ${TEE} ${log}
+  after=`date +%s.%N`
   echo "${oprefix} [----------    End of output    ----------]" | ${TEE} ${log}
-
+  echo "${PARSECPLAT}/${bmexec_suffix} run time: `echo "$after - $before" | bc`" | ${TEE} ${log}
 
   # Unpack reference output and compare
   #echo "${oprefix} Unpacking benchmark reference output for '${inputsize}'." | ${TEE} ${log}
